Retrieve Attributes List
curl --request GET \
--url https://ai.getlynks.io/api/data/attributes \
--header 'X-Api-Key: <api-key>' \
--header 'X-OpenAI-Key: <api-key>'import requests
url = "https://ai.getlynks.io/api/data/attributes"
headers = {
"X-Api-Key": "<api-key>",
"X-OpenAI-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Key': '<api-key>', 'X-OpenAI-Key': '<api-key>'}
};
fetch('https://ai.getlynks.io/api/data/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_attribute_count": 123,
"required_attributes": {
"attribute_count": 123,
"attributes": [
{
"identifier": "<string>",
"requirement_level": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
}
}
]
},
"recommended_attributes": {
"attribute_count": 123,
"attributes": [
{
"identifier": "<string>",
"requirement_level": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
}
}
]
},
"optional_attributes": {
"attribute_count": 123,
"attributes": [
{
"identifier": "<string>",
"requirement_level": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
}
}
]
},
"category": {
"identifier": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Attributes
Retrieve Attributes List
Retrieve a list of all attributes associated with the provided category identifier and return them categorized by requirement level.
GET
/
data
/
attributes
Retrieve Attributes List
Authorizations
APIKey & OpenAIKeyAPIKey
Query Parameters
The identifier of the category whose attributes you want to find.
Response
List of Attributes for the selected category.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I